/*
	:								USART.c
	:						   USART   AVR
	:							 
	:							30.05.2007
	:						09.06.2008
	:		Atmega8
	:							IAR Embedded Workbench
*/

#include "header.h"


/* ---  --- */
//  ,    8 
void usartInit(unsigned int Baudrate, char CharSize, char Parity, char StopBits)
{
	UCSRC = (1<<URSEL)|(StopBits<<USBS)|(CharSize<<UCSZ0)|(Parity<<UPM0);
	UBRRH = (char)(Baudrate>>8);
	UBRRL = (char) Baudrate;
}

// 1 
void usartTransmit( unsigned char data )
{
	USART_WAIT_FOR_EMPTY; //,     
	UDR = data;
}

//  1     
unsigned char usartReceive( void )
{
	WAIT_FOR_RECEIVE_COMPLETE;
	return UDR;
}
