/* ---  --- */
#define CPU_clock_freq								10000000
#define _USART_BAUDRATES_
#define USART_PACKET_HEADER						0x55
#define PACK_MIN_SIZE									5
#define FLASH_BLOCK_SIZE							128
#define	DATAFLASH_PAGESIZE						528

// 
#define RX_BUFFER_SIZE								400
#define TX_BUFFER_SIZE								400

//
//#define 							(Flags & (1<<0))		//
//#define	SET__FLAG			Flags |= (1<<0)
//#define CLEAR__FLAG		Flags &= ~(1<<0)
#define RECEIVE_COMPLETE							(Flags & (1<<0))		//    USART
#define	SET_RECEIVE_COMPLETE_FLAG			Flags |= (1<<0)
#define CLEAR_RECEIVE_COMPLETE_FLAG		Flags &= ~(1<<0)
#define SEND_ANSWER										(Flags & (1<<1))		//   
#define	SET_SEND_ANSWER_FLAG					Flags |= (1<<1)
#define CLEAR_SEND_ANSWER_FLAG				Flags &= ~(1<<1)
#define START_SEND										(Flags & (1<<2))		// 
#define	SET_START_SEND_FLAG						Flags |= (1<<2)
#define CLEAR_START_SEND_FLAG					Flags &= ~(1<<2)

#define TRANSMITTER_PIN								PORTD_Bit7
#define TRANSMITTER_DDR								DDRD_Bit7
#define DATAFLASH_CS_PIN							PORTB_Bit0
#define DATAFLASH_CS_DDR							DDRB_Bit0

#define LED1_PIN											PORTC_Bit0
#define LED1_DDR											DDRC_Bit0

//   USART
#define RXMODE_NO_PROCESSING					0x00
#define RXMODE_HEADER_WAIT						0x01
#define RXMODE_LENGTH_WAIT						0x02
#define RXMODE_DATA_WAIT							0x03
#define RXMODE_CRC_WAIT								0x04

//
#define CMD_CHECK											0x00	// 
#define CMD_ERASE_CHIP								0x01	//  
#define CMD_ERASE_SECTOR							0x02	//  (4 )
#define CMD_READ_MEMORY								0x03	// 
#define CMD_WRITE_MEMORY							0x04	//  

//  
#define STATUS_OK											0x00	//  
#define STATUS_ERROR									0x01	//
#define STATUS_BAD_COMMAND						0x02	// 
#define STATUS_BAD_CRC								0x03	//  

//  
#define RECEIVE_TIMEOUT								500		//    USART, 500 
#define SEND_TIMEOUT									50


/* ---  --- */
extern void StartTransmit ( void );
